%{!?pyver: %global pyver %(%{__python} -c "import sys ; print sys.version[:3]")}

Name:           TurboGears2
Version:        2.3.11
Release:        1%{?dist}
Summary:        Next generation front-to-back web development megaframework

Group:          Development/Languages
License:        MIT
URL:            http://www.turbogears.org
Source0:        https://files.pythonhosted.org/packages/source/T/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel python-setuptools
BuildRequires:  python-nose python-coverage
BuildRequires:  python-turbokid >= 1.0.4
BuildRequires:  python-zope-sqlalchemy >= 0.4
BuildRequires:  python-jinja2
BuildRequires:  python-simplegeneric
BuildRequires:  python-repoze-who
BuildRequires:  python-repoze-tm2 >= 1.0-0.4.a4
BuildRequires:  python-tw-forms
BuildRequires:  python-tw2-forms
BuildRequires:  python-genshi >= 0.5.1
BuildRequires:  python-mako
BuildRequires:  python-chameleon
BuildRequires:  python-turbojson >= 1.3
BuildRequires:  python-kajiki >= 0.2.2
BuildRequires:  python-repoze-who-plugins-sa >= 1.0.1
BuildRequires:  python-webtest
BuildRequires:  python-routes
BuildRequires:  python-formencode
BuildRequires:  python-crank >= 0.6.2
BuildRequires:  python-backlash

Requires:       python-genshi >= 0.5.1
Requires:       python-zope-sqlalchemy >= 0.4
Requires:       python-toscawidgets >= 0.9.4
Requires:       python-repoze-tm2 >= 1.0-0.a4
Requires:       python-simplegeneric
Requires:       python-jinja2
Requires:       python-repoze-lru
Requires:       python-markupsafe
Requires:       python-paste-deploy
Requires:       python-decorator
Requires:       python-beaker
Requires:       python-crank >= 0.8.0
Requires:       python-kajiki > 0.2.2
Requires:       python-formencode
Requires:       python-webob >= 1.2
Requires:       python-backlash
Requires:       python-repoze-who
Requires:       python-repoze-who-plugins-sa >= 1.0.1
Requires:       python-mako
Requires:       python-chameleon
Requires:       python-routes
Requires:       python-turbokid >= 1.0.4
Requires:       python-tw-forms
Requires:       python-tw2-forms


%description
TurboGears brings together a best of breed python tools to create a flexible,
full featured, and easy to use web framework.

TurboGears 2 provides and integrated and well tested set of tools for
everything you need to build dynamic, database driven applications.  It
provides a full range of tools for front end javascript develeopment, back
database development and everything in between:

 * dynamic javascript powered widgets ToscaWidgets
 * automatic JSON generation from your controllers
 * powerful, designer friendly XHTML basted templating (Genshi)
 * object or route based URL dispatching
 * powerful Object Relational Mappers (SQLAlchemy)


%prep
%setup -q -n %{name}-%{version}

%build
python setup.py build

%install
python setup.py install --skip-build --root %{buildroot}
rm -fr %{buildroot}%{python_sitelib}/tests

# Unfortunately, the test suite from upstream seems to be in disrepair
#%check
#PYTHONPATH=$(pwd) python setup.py test
#rm -fr %{buildroot}%{python_sitelib}/tests

%files
%defattr(0644,root,root,0755)
%doc README.rst
%{python_sitelib}/%{name}-%{version}-py%{pyver}.egg-info/
%{python_sitelib}/tg/


%changelog
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.6-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Tue May 31 2016 Nils Philippsen <nils@redhat.com>
- fix source URL

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Sep 19 2015 Ralph Bean <rbean@redhat.com> - 2.3.6-1
- Latest upstream.
- Drop chameleon patch.
- Disable test suite for now.  The latest from upstream isn't passing out of
  the box.

* Tue Jun 16 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-0.6.git6da6959
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 06 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-0.5.git6da6959
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Nov 12 2013 Toshio Kuratomi <toshio@fedoraproject.org> - 2.3.0-0.4.git
- Replace dep on python-setuptools-devel with dep on python-setuptools

* Fri Aug 02 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0-0.3.git6da6959
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Apr  8 2013 Luke Macken <lmacken@redhat.com> - 2.3.0-0.1.git6da6959
- Update to the latest 2.3 snapshot.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Apr 13 2012 Ralph Bean <rbean@redhat.com> - 2.1.4-3
- Patch webob version requirement to allow python-webob-1.1.1

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 14 2011 Luke Macken <lmacken@redhat.com> - 2.1.4-1
- Update to 2.1.4
- Get the test suite up and running again
- Add a tarball with some missing templates needed to run the tests
- Patch out the chameleon.genshi tests

* Thu Aug 25 2011 Luke Macken <lmacken@redhat.com> - 2.1.2-1
- Update to 2.1.2
- Update our requirements

* Wed Aug 17 2011 Nils Philippsen <nils@redhat.com>
- Update to 2.1.1 (#663117)

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Nov 23 2010 Luke Macken <lmacken@redhat.com> - 2.1-1
- Update to 2.1 final
- Patch out the kajiki requirement & tests until it's packaged

* Mon Oct 18 2010 Luke Macken <lmacken@redhat.com> - 2.1-0.4.rc1
- Add a patch to fix a helpers import issue
- This brings our package up to speed with the latest RC1 release

* Tue Sep 28 2010 Luke Macken <lmacken@redhat.com> - 2.1-0.3.rc1.dev1048
- Pre-RC1 development snapshot
- Remove strict Pylons<0.9.7 requirement
- Get the test suite running
- Pull in python-chameleon for the test suite
- Require python-simplegeneric
- Update the description

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.1-0.2.b2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Wed May 05 2010 Luke Macken <lmacken@redhat.com> - 2.1-0.1.b2
- Update to 2.1b2

* Mon Jan 11 2010 Luke Macken <lmacken@redhat.com> - 2.0.3-4
- Fix the source URL

* Mon Sep 14 2009 Luke Macken <lmacken@redhat.com> - 2.0.3-3
- Tweak our python-wsgiref conditional for EL5

* Tue Sep 01 2009 Luke Macken <lmacken@redhat.com> - 2.0.3-2
- Remove the SQLAlchemy requirement, as python-zope-sqlalchemy
  is now set to include the appropriate version

* Wed Aug 12 2009 Luke Macken <lmacken@redhat.com> - 2.0.3-1
- 2.0.3

* Sat Jun 27 2009 Luke Macken <lmacken@redhat.com> 2.0.1-1
- 2.0.1
- Bump our ToscaWigdets requirement to 0.9.4
- Remove TurboGears2-custom-content-type.patch, which is upstream

* Sat Jun 06 2009 Luke Macken <lmacken@redhat.com> 2.0-4
- Require the new python-sqlalchemy0.5 package

* Thu Jun 04 2009 Luke Macken <lmacken@redhat.com> 2.0-3
- Add a patch to fix custom content types.
  http://trac.turbogears.org/ticket/2280

* Mon Jun 01 2009 Luke Macken <lmacken@redhat.com> 2.0-2
- Conditionally include wsgiref

* Sun May 31 2009 Luke Macken <lmacken@redhat.com> 2.0-1
- Update to 2.0 final.
- Add python-repoze-what-pylons and python-webflash to the BuildRequires
- Disable the test suite until we package chameleon.genshi

* Tue Oct 28 2008 Luke Macken <lmacken@redhat.com> 1.9.7.0.3.b1dev.r5627
- Update to a svn snapshot to support tgext.authorization instead of
  tg.ext.repoze.who

* Mon Oct 27 2008 Luke Macken <lmacken@redhat.com> 1.9.7-0.2.b1
- Update to 1.9.7b1

* Tue Oct 21 2008 Luke Macken <lmacken@redhat.com> 1.9.7-0.1.a5dev.r5564
- Initial packaging of TurboGears2 for Fedora.
